@import url(../variables.css);

.content .project-title {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.project-title span:last-of-type {
    font-size: 0.8em;
}

.content .intro {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin: 30px 0;
}

.intro md-block {
    width: 45%;
}

.intro img {
    width: 50%;
}

.intro iframe {
    width: 50%;
    height: 275px;
    border-radius: var(--soft-radius);
}

.content .details {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}

.details div {
    width: 45%;
}

.details div.large {
    width: 100%;
}

.content .platforms {
    text-align: center;
}

.platforms .icons {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

.platforms .icons a {
    margin: 10px 25px;
}

.platforms .icons img {
    width: auto;
    height: 100px;
    padding: 5px;
    border: 2px solid transparent;
    transition: var(--default-transition);
    background: none;
}

.icons a:hover img {
    border: 2px solid;
}

.content .gallery {
    text-align: center;
}

.gallery .images {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
}

.gallery .images img {
    width: 45%;
    height: auto;
    margin: 10px;
}

@media (max-width: 576px) {
    .content .project-title {
        font-size: 1.5em;
    }

    .content .intro {
        flex-direction: column-reverse;
    }

    .intro md-block,
    .intro img {
        width: 100%;
    }

    .intro iframe {
        width: 100%;
        height: 200px;
    }

    .details div {
        width: 100%;
    }

    .platforms .icons a {
        margin: 5px 15px;
    }
    
    .platforms .icons img {
        height: 80px;
    }

    .gallery .images img {
        width: 80%;
    }
}
